/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

/**
 *
 * @author omozegieaziegbe
 */
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class ReadMultipleIntegersBufferedReader {

    public static void main(String[] args) throws IOException {
        // Create a BufferedReader object to read input
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        System.out.println("Enter multiple integers separated by spaces:");

        // Read the entire input line
        String lines = br.readLine();

        // Split the input string into an array of substrings
        String[] strs = lines.trim().split("\\s+");

        // Create an array to store the integers
        int[] a = new int[strs.length];

        // Convert each substring into an integer and store in the array
        for (int i = 0; i < strs.length; i++) {
            a[i] = Integer.parseInt(strs[i]);
        }

        System.out.print("You entered: ");
        System.out.print(Arrays.toString(a));
    }
}
